Subject: Re: [PATCH] usb: dwc3: dwc3-octeon: Verify clock divider

From: Greg Kroah-Hartman <[email-masked]>
Date: Tue, 8 Aug 2023 12:45:06 +0200

On Tue, Aug 08, 2023 at 12:38:46PM +0200, Ladislav Michl wrote:
> On Tue, Aug 08, 2023 at 12:00:42PM +0200, Greg Kroah-Hartman wrote:
> > On Tue, Aug 08, 2023 at 11:37:50AM +0200, Ladislav Michl wrote:
> > > From: Ladislav Michl <[email-masked]>
> > > 
> > > Although valid USB clock divider will be calculated for all valid
> > > Octeon core frequencies, make code formally correct limiting
> > > divider not to be greater that 7 so it fits into H_CLKDIV_SEL
> > > field.
> > > 
> > > Signed-off-by: Ladislav Michl <[email-masked]>
> > > Reported-by: Linux Kernel Functional Testing <[email-masked]>
> > > Closes: https://qa-reports.linaro.org/lkft/linux-next-master/build/next-20230808/testrun/18882876/suite/build/test/gcc-8-cavium_octeon_defconfig/log
> > > ---
> > >  Greg, if you want to resent whole serie, just drop me a note.
> > >  Otherwise, this patch is meant to be applied on to of it.
> > 
> > On top of what series?
> 
> I'm sorry, "[PATCH v5 0/7] Cleanup Octeon DWC3 glue code".
> In your usb-next, last patch of serie is:
> d9216d3ef538 ("usb: dwc3: dwc3-octeon: Add SPDX header and copyright")

I already took that series, so this is fine, I don't want to revert that
and have to add it all back :)

thanks,

greg k-h